#include <bits/stdc++.h>
using namespace std;
int p,q,r,P,Q,R;
long long M,N,br;
int main()
{
    cin>>p>>q>>r>>M>>N;
    for(double i=M; i<=N; i++){
        P=ceil(i/p);
        Q=ceil(i/q);
        R=ceil(i/r);
        if(P+Q+R<=i) br++;
    }
    cout<<br;
    return 0;
}